#ifndef _EDITPROFILEWATER_H
#define _EDITPROFILEWATER_H

#include <QDialog>


namespace Ui {
class EditProfileWater;
}

class EditProfileWater : public QDialog
{
    Q_OBJECT

signals:
    void entry_changed();

public:
    explicit EditProfileWater(int id, QWidget *parent = 0);
    ~EditProfileWater();

private slots:
    void on_saveButton_clicked();
    void on_quitButton_clicked();
    void on_deleteButton_clicked();
    void is_changed();
    void water_changed();
    void hco_changed();
    void alkalinity_changed();

private:
    Ui::EditProfileWater *ui;
    int recno;
    bool textIsChanged = false;

    void WindowTitle();
    void WaterSet();
};

#endif
